%define upstream_name    VM-EC2-Security-CredentialCache
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/VM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(VM::EC2::Instance::Metadata)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides a cache for an EC2's IAM credentials represented by
the VM::EC2::Security::Credentials manpage. Rather than retriving the
credentials for every possible call that uses them, cache them until they
expire and retreive them again if they have expired.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-3.mga6
+ Revision: 1035688
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.250.0-2.mga6
+ Revision: 969441
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.250.0-1.mga6
+ Revision: 868713
- update to 0.25

* Tue Jun 30 2015 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 848415
- Importing perl-VM-EC2-Security-CredentialCache


* Tue Jun 30 2015 cpan2dist 0.23-1mga
- initial mageia release, generated with cpan2dist
